Document SRT scavenging behavior of scavenge_block() and scavenge_one()
ClosedPublic

Authored by osa1 on Jun 25 2018, 8:37 AM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
osa1 created this revision.Jun 25 2018, 8:37 AM
simonmar added inline comments.Jun 25 2018, 1:00 PM
rts/sm/Scav.c
42

To be strictly accurate

  • A STACK itself does not have an SRT
  • but it contains stack frames (RET_SMALL etc.) and those *do* have SRTs

I think it would help to spell this out, to avoid confusion.

osa1 updated this revision to Diff 17097.Jun 26 2018, 9:12 AM
  • Update
osa1 marked an inline comment as done.Jun 26 2018, 9:12 AM

@simonmar how does it look now?

simonmar accepted this revision.Jun 27 2018, 6:52 AM
This revision is now accepted and ready to land.Jun 27 2018, 6:52 AM
This revision was automatically updated to reflect the committed changes.